#pragma once

struct IMU_Data
{
  short Temp;
  struct { short X, Y, Z; } Acc;
  struct { short X, Y, Z; } Gyr;
  struct { short X, Y, Z; } Mag;
  
  float Bar;
  float Tmp;
};

struct MAG_Data
{
  short X, Y, Z;
};

void IMU_Init();
void IMU_Get(IMU_Data& Data);
